Cover

ATP2400 Recording Server

ATP2400-8

ATP2400-16

ATP2400-24

Analog Call Recording Server

User Manual

Version 3.0.2.0


Content

Content i

Revision History. iii

Chapter 1 Overview.. 1

1.1 Typical Application.. 1

1.2 Feature List 1

1.3 Product Appearance. 3

1.4 Button Operation.. 4

Chapter 2 Installation. 5

2.1 Package List 5

2.2 HD Requirements. 5

2.3 Installation Procedure. 5

2.4 Quick Guide. 6

Chapter 3 Instructions. 7

3.1 System Login.. 7

3.2 Channel State. 8

3.3 Recoding Options. 11

3.3.1 Recording Inquiry. 11

3.3.2 Recording Parameters. 14

3.4 System Settings. 15

3.4.1 System.. 16

3.4.2 Storage. 17

3.4.3 Number 20

3.4.4 IP. 23

3.4.5 Debugging Log. 23

3.4.6 Alarm.. 25

3.4.7 Time. 26

3.4.8 SNMP. 27

3.4.9 Remote Update. 28

3.5 User Management 28

3.6 Info Management 31

3.6.1 Station Management 32

3.6.2 Customer Management 34

3.7 Statistics Report 38

3.8 Operating Log. 39

3.9 Change Password. 39

3.10 Database Management 39

3.10.1 Database Settings. 40

3.10.2 Database Restore. 41

3.11 Centralized Management 42

3.11.1 Management 42

3.11.2 Master/Slave Settings. 45

3.12 Reboot&Reset 45

3.13 FTP Feature. 46

3.14 Real-Time Monitoring. 47

3.14.1 Install “RemoteListener” 47

3.14.2 Monitor a Channel 48

3.14.3 Use Monitoring Tool 48

3.15 Alarm Info. 49

3.15.1 SD Card Alarm.. 49

3.15.2 Disk Abnormal Alarm.. 49

3.15.3 Long Time No Recording Alarm.. 49

3.15.4 Channel Off-line Alarm.. 49

3.15.5 RecSvr Abnormal Alarm.. 50

3.15.6 Slave Device Off-line Alarm.. 50

3.15.7 Database Damage Alarm.. 50

Appendix A Technical Specifications. 51

Appendix B Troubleshooting. 52


Revision History

Version | Date | Comments
Version 1.0 | 2013-3 | Initial publication
Version 1.1 | 2013-8 | File improvement
Version 3.0 | 2014-3 | File improvement
Version 3.0.1.0 | 2014-6 | File improvement
Version 3.0.2.0 | 2015-1 | File improvement

.


Chapter 1 Overview

Thank you for choosing ATP2400 Recording Server!

The ATP2400 series recording servers (hereinafter referred to as ‘recording server’) support continuous 24-hour independent recording of analog calls, saving call records and audio files in the hard disk. Each call record includes the start time and the end time, phone numbers of the two parties, call length, station information, channel number, etc. They support online management, that is, allow users to do such operations as modify configurations, view real-time status, query recording files, backup files, through WEB. They are in hardware equipped with OLED display and configuration buttons for users to query channel state and hard disk information, and to modify IP address, eliminating the need of PC. ATP2400 series has three modules, ATP2400-8, ATP2400-16 and ATP2400-24, containing 8, 16, 24 channels respectively.


1.1 Typical Application

Figure 1‑1 Typical Application


1.2 Feature List

Feature | Description
Recording Inquiry | Single/multi query items support.
 | Query items include channel number, caller number, called number, recording time, recording length, call direction, call type (toll/local), etc.
 | Query results can be exported to Excel.
 | Remarks can be added on recording items.
 | Recording files can be played, downloaded, and deleted
Call Monitoring | Real-time call monitoring (only available to privileged users).
Statistical Report | Single/multi count terms support, including: caller number, called number, recording time, recording length, call direction, call type (toll/local), etc.
 | Statistical reports can give the amount and length of total calls, toll calls, local calls, outgoing calls, incoming calls and missed calls, as well as the average call length.
 | Statistical reports can be exported to excel.
System Operation Log | System operation logs record the operating time and details of both the client and the server.
Recording Parameters | The settings include file format, compressed format, silence threshold, alarm condition, etc.
 | Five recording start conditions are optional: Voltage, Barge-in, DTMF, Always Recording and Voltage (after call connection). Each channel is supported to set independently.
 | Support up to 3 recording periods.
Disk Management | Automatically scan all the disks and calculate capacity.
 | Save data into the next disk once the current is full.
 | Give an alarm or delete part of the data when all disks are full.
Recording Backup | Automatically backup recording data to a designated disk everyday once set.
 | Support the set of backup expires. After the due time, the backup files will be deleted automatically.
 | Automatically delete the earliest files when the disk space is less than the preset lower limit.
User Management | User information can be added, deleted or modified. There is no limit in the amount of system users.
 | Different authorities can be customized for different WEB users.
Channel Parameters | Phone number and station number can be set for a channel.
 | Each channel can be set separately with a recording direction (record all, record none, record incoming calls only or record outgoing calls only).
 | Setting values for a channel can be applied to all if necessary.
 | Offline alarm can be set for a designated channel.
Number Filtering | A certain number or numbers with a certain prefix can be designated for recording.
 | Conditions can be set for recognization of area codes.
 | Batch adding of number information is supported.
 | A certain number or numbers with a certain prefix can be designated for pop-up display of call information.
Station Management | Station information can be added, deleted or modified.
 | Station information can be exported to Excel.
 | Station information can be imported from Excel.
Customer Management | Customer information can be added, deleted or modified.
 | Customer information can be exported to Excel.
 | Customer information can be imported from Excel.
Alarming | Audio alarm, pop-up display alarm and mail alarm are available.
 | Multiple alarming conditions are optional: SD Card Alarm, Disk Abnormal Alarm, Long Time No Recording Alarm, Channel Off-line Alarm, RecSvr Abnormal Alarm, Slave Device Off-line Alarm, Database Damage Alarm.
 | Support auto restart when error occurs in software.
Reboot&Reset | Support reboot and reset of the recording server.
Driver Configuration | Driver configuration can be queried or modified through the web page.
Remote Modification | Support remote modification of the IP address of RecSvr.
 | Support remote modification of time and date on RecSvr.
Centralized Management | Support of a master device (PC or ATP2400 recording device) to manage all slave devices in the network.
Database Management | Support auto backup of database. Once set, the system will regularly back up tables in the database.
 | External interfaces to database can be opened via configuration.
 | Database can be restored to a previous backup on a designated time.
High Impedance Recording | Support recording in different environments with varied call density, widely applicable to such occasions as the call recording system and the call center monitoring system.
Tone Detection | Support detection of both DTMF and FSK.
 | Configurable tone detector is provided to detect all type of tones.
Voltage Detection | Line voltage can be automatically detected and displayed on the web page.


1.3 Product Appearance

Figure 1‑2 Front Panel

Figure 1‑3 Rear Panel


1.4 Button Operation

The recording Server is equipped with configuration buttons and OLED display through which users can query the operating status and configure the IP address. The button operations are demonstrated in Figure 1‑4 below.

Figure 1‑4 Button Operation

Note:

1. The images in the flow chart are the actual interfaces on the OLED display. The arrows and corresponding legends indicate the button presses and directions. For exact location of the buttons on the panel, refer to 1.3 Product Appearance.

2. The word ‘Working’ in the main interface [image] shall be ‘Booting’ instead during the starting process.

3. In the channel state interface [image], CH represents channel number while ST indicates state. The abbreviations and corresponding meanings of the channel states are: ID (Idle), OF (Offline), RI (Ringing) and PI (Pickup).

4. In the IP configuration interface [image], users can modify the IP address. The flashing field in the interface is the current field to be set. Use the ‘+/-’ button to modify it. Press the “OK” button to go to the next field. After all fields are configured, press “ESC” button to save the settings and return to the main IP configuration interface.


Chapter 2 Installation


2.1 Package List

l ATP2400 Series Recording Server *1

l Foot Bracket*2, Rubber Foot Pad*4, Screw for Foot Bracket*8

l User Manual *1

l +19V DC Power Supply *1

l Key for Removable Hard Disk Cartridge *2


2.2 HD Requirements

Capacity: Depends on individual requirements (smaller or equal to 2T)

Size: 3.5 inch

Interface: SATA, SATA2.0 or SATA3.0

Note: Do not plug or unplug the HD directly. Replace the HD after you turn off the power or stop the HD via keyboard operation.


2.3 Installation Procedure

Step 1: Properly fit the 3.5-inch hard disk into the hard disk cartridge.

Step 2: Connect the +19V DC power line.

Step 3: Connect the network cable.

Step 4: Plug one end of a phone line into an RJ11 jack for the corresponding channel on the recording server and connect the other end parallelly to any position between the PBX and the telephone.

文本框: Ch11 b 文本框: Ch11 a 文本框: Ch11 a 文本框: Ch11 b

Figure 2‑1 Line Connection

Step 5: Check the state of the channel connected in Step 4 through the OLED display. If the channel is in the state ID (Idle), it indicates the connection is normal; otherwise, the channel is not available, and you should check if there is something wrong with the connection.

Step 6: Modify the IP address through the configuration buttons on the recording server. For detailed instructions, refer to 1.4 Button Operation. (Note: The IP address can also be modified through the WEB interface, refer to 3.4.4 IP for detailed instructions and default IP values.)

Step 7: Type in the IP address set in Step 6 into the browser and enter the Recording Management Software. For detailed instructions about login, refer to 3.1 System Login.

Step 8: Check through the WEB interface if the hard disk installed in Step 1 is formatted. If not, format it before use. For detailed instructions about formatting the hard disk, refer to 3.4.2 Storage.


2.4 Quick Guide

After completing the above steps, you can well run the recording server. The default values of the main recording parameters are listed here below.

l Recording Start Condition: Voltage

l Compression Format: G711-A

l File Format: wav

l Recording Period: 24 hours

l Recording Direction: Record all

To modify the recording parameters, refer to 3.3.2 Recording Parameters.

Note:

1. We suggest that you change the initial password after your first login. For detailed instructions about changing the password, refer to 3.9 Change Password.

2. To perfect the recording information, you need to add corresponding station and customer information. For detailed instructions, refer to 3.6 Info Management.

3. The detailed configurations and operations of the recording server will be introduced in Chapter 3 Instructions.

Special Instructions:

l When an alarm buzzes, it should be promptly handled according to the user manual. Otherwise it may lead to a drop in performance or unexpected errors.

l The case of the recording server must be grounded for safety reasons, according to standard industry requirements. The grounding studs on the machine guarantee effective earthing. No or improper grounding may cause instability in operation as well as decrease in lightning resistance.


Chapter 3 Instructions


3.1 System Login

Type the IP address into the browser and enter the login interface. See Figure 3‑1.

Figure 3‑1 Login Interface

The recording management software has an initial administrator whose user name is ‘admin’ and initial password is ‘admin’ too.

After login, you can see the main interface as below.

Figure 3‑2 Main Interface with All Features

For users owning all authorities, all features in Figure 3‑2 are available. For other users, only the authorized features are shown on this page.

All users can change their password for safety reasons and those with system setting authorities can modify the IP address of the recording server to put it in the same network segment with the PC to avoid repeated modification on every visit. For more instructions about IP modification, refer to 3.4.4 IP .


3.2 Channel State

Figure 3‑3 Channel State Interface

See Figure 3‑3 for the channel state interface. The above list shows the operating states of all recording channels. Each channel supports customer and station information inquiry as well as real-time monitoring. The table below explains the query items in Figure 3‑3.

Item | Descriptions
Monitor | The icon [image] appearing in the Monitor column indicates that the channel is recording. Click it and you can monitor the call on this channel in real time. For detailed operations, refer to 3.14 Real-Time Monitoring.
Ch No. | Logical channel number in the recording server.
Voltage | Line voltage on the corresponding channel.
State | Channel state. Each channel has 4 states (see Figure 3‑3): Idle, pickup, ringing, off-line.
Remote Phone | The number of the remote phone in conversation with the monitoring end. If this number and its corresponding customer information exist in the database, click it and you can see the customer information (See Figure 3‑4). For instructions about adding or modifying customer information, refer to 3.6.2 Customer Management.
DTMF | DTMF digits pressed on the phone.
Station | Station number corresponding to the channel. If the station information exists in the database, click it and you can see station information (See Figure 3‑5). For instructions about adding or modifying station information, refer to 3.6.1 Station Management. Station, as well as Monitored Phone and Remarks, can be modified by Modify.
Name | Station name corresponding to the channel.
Monitored Phone | The phone number monitored by the recording channel. It can be modified by Modify.
Call Direction | Call direction of the current conversation, taking the monitoring end as reference. That is, if the monitoring end is the calling party, Call Direction column displays the call out icon; otherwise, it displays the call in icon.
Start Time | The start time of the current recording. Please note that not all the recording pieces shown on this page will be saved. Whether a recording to be saved or not depends on multiple judging conditions. Go to the recording inquiry interface to get the exact saved recording data. For detailed instructions about querying, refer to 3.3.1 Recording Inquiry.
Length | Length of the current recording, calculated by s.
Remarks | Remarks about the channel, regarded as a mark of different channels. It can be modified by Modify.

If there are remote phones and corresponding customer information existing in the database, click one and you can see the customer information interface as below.

Figure 3‑4 Customer Info Pop-up

座席员配置好后可以使录音机融入到公司的局域网中，若“接录音，如图If there are stations and corresponding station information existing in the database, click one and you can see the station information interface as below.

Figure 3‑5 Station Info Pop-up

Click Modify in Figure 3‑3 to modify information of the corresponding channel. See Figure 3‑6 for the channel info modification interface.

Figure 3‑6 Channel Info Modification Interface

The items Monitored Phone, Station and Remarks in Figure 3‑6 have the same values as those in the Channel State Interface. Other items are explained in the table below.

Item

Description

Rec Direction

Sets calls on which direction will be recorded. Four options are now available:

Option | Description
Incoming calls only | Taking the monitoring end as reference, only record the incoming calls.
Outgoing calls only | Taking the monitoring end as reference, only record the outgoing calls.
Record all | Taking the monitoring end as reference, record both the incoming and outgoing calls.
Record none | Taking the monitoring end as reference, record neither the incoming nor the outgoing calls.

Note: This item is valid only when the Recording Start Condition is not set to Always recording (Refer to 3.3.2 Recording Parameters).

Alarm for Offline

Sets the offline alarm for the channel.

Apply on Other Ch

Apply the setting values of Recording Direction and Alarm for Offline to other channels.

After configuration, click Save to save the above settings into the database; click Close to cancel the settings. The settings will not go into effect until you reboot the recording service. For the instructions about rebooting the recording server through WEB, refer to 3.12 Reboot&Reset .


3.3 Recoding Options

Recording options include two parts: Recording Inquiry and Recording Parameters. The part Recording Inquiry provides multiple items for users to find the needed recording files rapidly. The part Recording Parameters offers global settings for the recording server, which can be configured according to individual requirements.


3.3.1 Recording Inquiry

Figure 3‑7 Recording Inquiry Interface

See Figure 3‑7 for the recording inquiry interface. Users can inquiry the recording files using the combination of multiple query items. The table below explains the query items in Figure 3‑7.

Item | Description
Start Date; Start Time; End Date; End Time | Time period of the recording, including time and date. For example, the recording in the above figure is required to start from 2015-01-19 10:04:08 and end at 2015-01-20 14:09:50. Please note that the end time and date should not be earlier than the start time and date.
Call Direction | Used as a condition to filter recoding files. Three options are available: All, Call in, Call out, taking the monitoring end as reference. The default value is All.
Recording Length | Length of the recording, used as a condition to filter recoding files. Three options Unlimited, Longer than and Shorter than are available. The default value is Unlimited, which means there is no limit on this item. To choose Longer than or Shorter than, you should enter the exact time length in the edit box (calculated by s). Once set, only the qualified recordings will be displayed.
Station No.; Station Name；Station Branch | Station information. Refer to 3.6.1 Station Management. If a station is bound with a channel, the recording files generated on that channel will contain the station information. Users can search for the recording files based on Station No., Station Name or Station Branch. These three fields can be left empty, which means ignoring this filter condition. Suggest: Do not fill in both fields at the same time.
Customer Phone; Customer Name | Customer information. Refer to 3.6.2 Customer Management. If the remote phone number matches the customer information in the database, the recording files about this number will contain the customer information. Users can search for the recording files based on Customer Phone or Customer Name. These two fields can be left empty, which means ignoring this filter condition. Suggest: Do not fill in both fields at the same time.
CallerID; CalleeID | Used as a condition to filter recoding files. Just enter the number you want to query.
Played | Whether the recording file has been played. There are three options Unlimited, Yes, No, and the default value is Unlimited.
Channels | Designate the range of channels you want to query. The two combo boxes from left to right indicate the start and end channels respectively. Please note that the start channel number should not be larger than the end channel number. If the two channel numbers are the same, only this channel will be required. The default value is all channels.
Call Type | Used as a condition to filter recoding files. Three options All, Local, Toll are available, and the default value is All which indicates ignoring this filter condition.
Missed Call | Whether the calls to be inquired should be missed calls or not. There are three options Unlimited, Yes, No, and the default value is Unlimited.
DTMF | DTMF digits in the recording, used as a condition to filter recoding files.
Query Range | Sets the range for data query, including two options: Latest 100,000 records and All records. The default value is Latest 100,000 records as it is time-consuming to inquire all recording files.
Sort by | Determines the sort order of the query result. It can be the ascending or descending order of Recording Time, Recording Length or Station No., with the default value of the ascending order of Recording Time.
Remarks | Remarks in the recording, used as a condition to filter recording files.

After the configuration of the above query items, click ‘Inquiry’ to obtain the query results (See

Figure 3‑8 ); click ‘Reset’ to restore the configurations.

Figure 3‑8 Recording Query Results

The recording query results include Channel No., Call Direction, Missed Call or not, CallerID, DTMF, CalleeID, Recording Start Time, Recording Length, Station No., Station Name, Customer Phone, Remarks&Sign and Add Customer Info of each recording item. On this interface, users can do the following operations:

Operation | Description
Export | Export the query results to Excel. Due to the upper limit of Excel 2003, the recording server only supports exporting up to 65535 items. A prompt will pop up once the number of items you export exceeds 65535.
Play | Play the recording file. See Figure 3‑9 for the player interface. The icon in the Play column has three colors: blue indicates that the recording file has not been played; orange indicates it has been played; and grey indicates it has been deleted and cannot be played.
Download | Download the recording file to local. If the icon in the Download column is grey, it indicates that the file has been deleted and cannot be downloaded. Refer to 3.13 FTP Feature for the rule of the system to name the downloaded recording file.
Click ‘Station’ Link | See corresponding station information in the prompt.
Click ‘Customer’ Link | See corresponding customer information in the prompt.
Click ‘Remarks&Sign’ Link | Modify the remarks, and mark the recording file to be important, retain or both.
Add Customer Info | Add the corresponding customer number to this column. If the icon is green, click it to add; if the icon is grey, it indicates the customer number is unavailable or has been added.

The recording file player interface:

Figure 3‑9 Recording File Player Interface

Note: If your current browser fails to play the audio file as it can not well support the playing plugin, please change to another browser and try again.

To delete a recording file, check the corresponding checkbox in

Figure 3‑8 and click the ‘Delete’ button. After deletion, the checkbox in the Select column will turn grey and the recording file become unplayable and undownloadable. Check All means to select all available items in the current page; Uncheck All means to cancel all selections in the current page; Inverse means to uncheck the selected items and check the unselected.


3.3.2 Recording Parameters

Figure 3‑10 Recording Parameter Configuration Interface

See Figure 3‑10 for recording parameter configuration. Users can configure the parameters depending on actual requirements. The table below explains the items in Figure 3‑10.

Item

Description

Select Channel

Select the current channel to be configured.

Recording Start Condition

There are five options available: Voltage, Barge-in, DTMF, Always Recording and Voltage (after call connection).

Recording Start Condition | Description
Voltage | Start recording once pickup operation is detected.
Barge in | Start recording once Barge-in is detected.
DTMF | Start recording once valid DTMF key combination is detected.
Always recording | Never stop recording since the recording service starts.
Voltage (after call connection) | To select this option, you have to enable the polarity reversal feature first. If this option is selected, the recording will not start until the called party picks up the call, and it only contains the data of conversation, excluding the dialing tone.

Note: When the “Always recording” mode is selected, the recording management software will by default generate a recording file at the end of each 50-minute recording. Before each recording file is formally generated, it can be found neither in the Recording Inquiry interface nor under the Record directory in FTP, but its temporary file can be found under the temp directory in FTP.

DTMF Key Combination

This item is valid only when the Recording Start Condition is set to DTMF. The system will start recording once the DTMF key combination are pressed in the right order.

Minimum Recording Length

Only when the recording time exceeds the set value of this parameter will the recording be saved into a file. Range of value: 0~60s.

Compression Format

The compression format of the recording files. Currently G.711μ, G.711a and ADPCM are supported.

File Format

The save format of the recording files. Currently only wav and vox are supported and the default format is wav. The vox file has no file header, only saves the recording data and cannot be played through WEB. Therefore, if you need to play the file through WEB, choose the format wav for it.

Largest Interval between Dialing Codes

Sets the largest interval (calculated by s) between dialing codes, mainly used for the occasion that the monitoring end works as the calling party. If all the DTMF digits are pressed within this interval and before the ringback tone is detected, they will all be regarded as the remote number. Otherwise, only the digits pressed before timeout and the detection of ringback tone will be regarded as the remote number.

Largest Interval between Combined DTMF Keys

Sets the largest interval (calculated by s) between combined DTMF key presses. For example, provided this value is set to 5 and the DTMF Key Combination is set to ‘*1’, if the time interval between the detection of ‘*’ and ‘1’ is larger than 5s, the key combination will be regarded as invalid and not start the recording. Only if each interval between every two key presses of the complete DTMF combination is less than 5s will the recording server regard them as valid DTMF key combination and start recording. This item is valid only when the Recording Start Condition is set to DTMF.

Choose Recording Period

Sets the recording periods. It can be recording in 24 hours or in designated time periods. To make recording all the time, select ’24 hours’. To designate time periods for a recording, check one or several (up to 3) period checkboxes and enter corresponding time ranges.

After configuration, click Save to save the above settings into the database; click Reset to restore the configurations. The settings will not go into effect until you reboot the recording service. For the instructions about rebooting the recording server through WEB, refer to 3.12 Reboot&Reset.


3.4 System Settings

The System Settings have sub-menus including System, Storage, Number, IP, Debugging Log, Alarm , Time, SNMP and Remote Update. See Figure 3‑11 for the system settings menu on the left side of the main interface.

Figure 3‑11 System Settings


3.4.1 System

Figure 3‑12 System Configuration Interface

See Figure 3‑12 for the System Configuration interface which implements the hardware configuration of the recording server. The table below explains the above items in Figure 3‑12.

Item

Description

Board Serial No.

Serial number of ATP series board (read-only).

Total Number of Channels

Total number of channels in the system (read-only).

Line Voltage Ignored or Not

Sets whether to ignore the voltage detection result on the line.

Range of value: 0: Not to ignore (default); 1: Ignore.

On-/off-hook Threshold Voltage

Sets the threshold voltage (calculated by V) judging the on-/off-hook operation on the recording channel of ATP boards. The default value is 16.

Input Gain

Sets the gain of input signals on the analog recording channel.

Range of value: 0: Normal gain (0DB); 1: Increased gain (20DB). Currently only the value 0 is supported.

Default Recording Volume

Sets the gain of the recording volume.

Range of value: -7~6, a value greater than 0 denotes volume increasing, while a value less than 0 denotes volume decreasing; -7 denotes turning off the volume. The default value is 0. This value multiplying 3 equals the DB value.

Bargein Sensitivity

Sets the sensitivity of the Barge In detector.

Range of value: 0~31, with the default value of 6. A higher value indicates greater sensitivity.

Bargein Threshold Time

Sets the minimum signal duration for the Barge-in detector.

Range of value: ³16 and must be the multiple of 16, calculated by millisecond (ms), with the default value of 32.

DTMF Reception Sensitivity

Sets the minimum durations of the DTMF signal at on and off states.

Provided the value of this configuration item is n.

n is comprised of 8 bits (namely Bit7…Bit0). Below is the meaning of each bit:

Bit3~Bit0: The minimum duration of the DTMF signal at on state. Range of value is 1~6 and the unit is 16ms, with the default value of 3;

Bit7~Bit4: The minimum duration of the DTMF signal at off state. Range of value is 0~6 and the unit is 16ms, with the default value of 0;

Note: If the values of Bit7~Bit4 are 0, the minimum duration of DTMF signal at off state is determined by the minimum duration at on state. If the minimum duration of the DTMF signal at on state is less than 3, the value of the minimum duration of the DTMF signal at off state is 1; otherwise, the value of the minimum duration of the DTMF signal at off state is 2.

n is represented by hexadecimal number. For example, n=0x43 indicates the minimum durations of the DTMF signals at on and off states are 48ms and 64ms respectively; n=0x03 indicates the minimum durations of the DTMF signal at on and off states are 48ms and 32ms respectively.

DTMF as Voice or Not

Sets whether to regard the DTMF signal in the incoming call as the voice signal.

Range of value: 0: No; 1; Yes (default).

Minimum Silence Length

Sets the minimum duration for the line to keep silence.

Range of value: ³16 and must be the multiple of 16, calculated by millisecond (ms), with the default value of 5000.

Noise Threshold

Sets the threshold value to judge noises for the Barge-in detector. The default value is 100,000.

API Function and Event Output

Sets whether to output API function call information.

Log Saving Path

Sets the path to save logs. Note that it must be an existing path.

Auto Open AGC

Once the AGC feature is enabled, the driver will automatically adjust the input signal amplitude, increasing that of small signals and decreasing that of large signals.

Language

Sets the language of the recording system, including three options: Simplified Chinese, Traditional Chinese and English. The default value is Simplified Chinese.

After configuration, click Save to save the settings into the database; click Reset to restore the configurations. The settings will not go into effect until you reboot of the recording service. For the instructions about rebooting the recording service through WEB, refer to 3.12 Reboot&Reset.


3.4.2 Storage

If there is no disk in the recording server, the storage configuration interface will prompt ‘Hard Disk can not be found!’ as shown as Figure 3‑13 below.

Figure 3‑13 No Disk Available

If the disk is unavailable or has not been formatted, the storage configuration interface will show as Figure 3‑14 below.

Figure 3‑14

Click Format and the recording server will prompt a dialog box asking you to enter the admin password. See Figure 3‑15.

Figure 3‑15 Enter Admin Password

After you enter the correct admin password and click OK, the recording server will prompt a dialog box asking you whether to keep the current configuration information in HD. See Figure 3‑16

Figure 3‑16 Keep Current Info

Click either OK or Cancel, and the recording server will prompt a dialog box asking you to confirm the formatting operation. See Figure 3‑17.

Figure 3‑17 Confirm Formatting

Click Cancel to cancel the formatting operation. Click OK in Figure 3‑17 to start disk formatting. See Figure 3‑18. After formatting, the system will automatically close this page and jump to the storage configuration interface. See Figure 3‑19.

Figure 3‑18 Formatting in Progress

Figure 3‑19 Storage Configuration Interface

See Figure 3‑19 for storage configuration. The list in the above figure shows the information of all available disks including disk name, path, type, file format, total capacity, used capacity, available capacity etc. The two buttons on the top right corner are Format and Remove Disk. The former is for hard disk formatting while the latter is for the hard disk hot swap, avoiding data damage or loss.

Note:

Before the operation of Format or Remove Disk, you are required to check the FTP feature and the log output feature. Close the FTP if you are using it and set API Function and Event Output in 3.4.1 System Configuration to Output None if the log output feature is enabled.

Users can do the following configurations for the disks in Figure 3‑19:

Item | Description
Reserved Block Space of Each Disk | Sets the reserved block space, calculated by MB, with the default value of 800. When the available capacity of the disk is less than the set value of this item, the recording server will regard the disk as full and send a corresponding alarm (refer to 3.15.2 Disk Abnormal Alarm).
Bytes Auto-deleted | The amount of data to be auto-deleted when the disk is full (calculated by MB). The default value is 1024.
Auto Backup | Sets whether to backup the recording files automatically in order to avoid data loss. Only when this item is set to Yes is the configuration item Time Condition to Delete a Backup File valid.
Backup Path | The path for auto backup of the recording data (read-only).
Time Condition to Delete a Backup File | Time limit for the backup file, calculated by s, with the default value of 36000. After the expiration, the file will be deleted automatically.

On the storage configuration interface shown in Figure 3‑19, the FTP feature can also be set to ensure the stability of the file backup. The table below explains the corresponding items.

Item | Description
FTP Upload | Sets whether to upload recording files to a designated FTP.
Connection Test | Sends a test file to the designated FTP to make sure recording files can be properly uploaded to it
FTP Address&Port | FTP address and port number. This item should be filled out in the format: FTP address: port number.
Storage Path | The location of the recording file saved to the designated FTP. It must be a path already existing on the FTP.
Username, Password | Username and password for the designated FTP, having the access and file upload authority

After configuration, click Save to save the above settings into the database; click Reset to restore the configurations. The settings will not go into effect until you reboot the recording service. For the instructions about rebooting the recording server through WEB, refer to 3.12 Reboot&Reset.


3.4.3 Number

Figure 3‑20 Number Setting Interface

See Figure 3‑20 for the number setting interface. The list in the above figure shows the operations for different incoming calls, including recording, regarding it as area code, regarding it as prefix number and popping up display. The numbers and corresponding information can be added by the Add New button on the top right corner. See Figure 3‑21 for the number adding interface.

Figure 3‑21 Number Adding Interface

The number adding interface supports adding a single number or a batch of numbers. The table below explains the corresponding items:

Item | Description
Phone No. | The phone number to be added. This item cannot be left empty（not 0 either）.
Batch Add | Add multiple numbers at a time. Only when this item is checked is the item Added Quantity valid.
Added Quantity | The quantity of phone numbers to be batch added, limited to100. In batch adding operation, the numbers to be added will start from the current Phone No. and each increases by 1.
Recording | Sets whether to record the designated number when the preset recording start condition is met. Checking this item means Yes.
Area Code | Sets whether to regard the number as area code. If checked, as long as a remote number matches this number, it will be regarded as a toll call. Otherwise, it will be regarded as a local call.
Prefix No. | Sets whether the number is a complete phone number or only a prefix of a phone number. If checked, a remote number will be regarded as a matched number as long as the beginning part of it is the same as the set number. If unchecked, only when both the content and the length of a remote number are completely the same as the set number will it be regarded as a matched number.
Pop-up Display | If checked, as long as the number of an incoming call matches this number, the recording server will prompt the corresponding call information after pickup (See Figure 3‑22). This feature is only valid at the channel state interface (Refer to 3.2 Channel State).

Figure 3‑22 Incoming Call Pop-up Display

Note:

According to the number matching rule, the recording sever will search for numbers by length, that is, match the whole number of the incoming call to the set number at first, and then, if no match is found, ignore the last digit and match it to the set number again, and so forth. Once matched, the number will be processed following the settings.

After configuration, click Save to save the above settings into the database; click Close to cancel the settings. The settings will not go into effect until you reboot the recording service. For the instructions about rebooting the recording server through WEB, refer to 3.12 Reboot&Reset.

Click Modify in Figure 3‑20 to modify number information. See Figure 3‑23 for the number info modification interface. The configuration items on this interface are the same as those on the Number Adding Interface.

Figure 3‑23 Modify Number Info

To delete the numbers, you should check the checkbox before the numbers in Figure 3‑20 and click the ‘Delete’ button. Check All means to select all available items in the current page; Uncheck All means to cancel all selections in the current page; Inverse means to uncheck the selected items and check the unselected.


3.4.4 IP

Figure 3‑24 IP Configuration Interface

The IP configuration interface is used to set the IP information of the recording server, to put it in the company LAN. After modification, click Save to save the settings; click Reset to restore the configurations. Due to the change of IP address, the current WEB connection may fail and you should access the recording management software again through the new IP address.

Note:

The values of the IP address, Subnet Mask, Default Gateway and DNS Server shown in Figure 3‑24 are all factory default settings.


3.4.5 Debugging Log

Figure 3‑25 Debugging Log Configuration Interface

The debugging log configuration interface (see Figure 3‑25) is mainly used to set the log output parameters of the recording server. The debugging logs help trace and debug the recording management software. The table below explains the above items in Figure 3‑25.

Item

Description

Log Level

There are four log levels from low to high: Not to output log, Error, Warning and Info. See the table below for their exact meanings.

Log Level | Description
Not to output log | Do not output log files.
Error | Error message generated in recording which indicates an operation is unsuccessful or wrong. Its information structure contains the field |ERROR|.
Warning | Warning message generated in recording which indicates the operation may lead to a harmful or wrong result. Its information structure contains the field |WARNING|.
Info | General information generated in recording which will be printed out during common function calls or debugging processes. Its information structure contains the field |INFO|.

Suggest: Set Log Level to Not to output log while the recording server is running normally.

Period to Create a Log

Sets the cycle to create a log, calculated by hour, with the maximum value of 24 and the minimum value of 1.

Max Logs to be Created

Sets the max number of logs to be created. When the number of created log files exceeds this value, no more log files will be created. -1 means unlimited.

Max Logs to be Saved

Sets the max number of logs to be saved. When the number of log files exceeds this value, the earliest created log files will be overwritten. -1 means unlimited.

Override Existing Files

Sets whether to override the existing log files after reboot of the recording service. If this item is set to Yes, the number of the newly created log file will start from 0 and the existing file with the same number will be overwritten. Otherwise, the recording server will create a new log file with a different number.

Saving Path

Sets the save path of the log files. It only designates the path of the folder. The log filename is created automatically in the format shown below and cannot be modified.

Log | File Name | Example
RecSvr | RecSvrDate_Number.log | RecSvr20120321_1.log
RecMonitor | RecMonitorDate_Number.log | RecMonitor20120321_1.log

After configuration, click Save to save the above settings into the database; click Reset to restore the configurations. The settings will not go into effect until you reboot the recording service. For the instructions about rebooting the recording server through WEB, refer to 3.12 Reboot&Reset .


3.4.6 Alarm

Figure 3‑26 Alarm Setting Interface

See Figure 3‑26 for the alarm setting interface which is used to configure the alarm methods and intervals for the recording server. The table below explains the above items.

Item | Description
Auto Restart Recording Service | Sets whether to restart the recording service (RecSvr) automatically when it cannot be detected by the recording monitoring module (RecMonitor). Once this feature is enabled, the recording service will be restarted whenever it is accidentally stopped so that the recording sever can resume the recording even if there is something wrong with it.
Alarm Function | Sets whether to enable the alarm feature, including three modes: Web, Beep and E-mail.
RecSvr Abnormal Alarm Interval | Alarm interval in case the recording service (RecSvr) goes abnormal and is not recovered.
Channel Off-line Alarm Interval | Alarm interval in case the voice channel is off-line and not recovered.
Disk Abnormal Alarm Interval | Alarm interval in case the disk goes abnormal and is not recovered.
Slave Device Off-line Alarm Interval | Alarm interval in case slave devices in centralized management are off-line and not recovered.
Alarm for No Recording | Sets whether to send alarm when no recording occurs for a specified time period. Only when this item is set to Yes are these items Threshold for No Record in Daytime, Daytime Period and Threshold for No Record at Night valid.
Daytime Period | Time period to be regarded as daytime. The other time in the day will be regarded as night.
Threshold for No Record in Daytime | Time threshold for no recording alarm in the daytime, calculated by minute. The daytime can be set in the item Daytime Period.
Threshold for No Record at Night | Time threshold for no recording alarm at night, calculated by minute. Apart from the time set in the item Daytime Period, all the rest is regarded as night.
Long Time No Record Alarm Interval | Alarm interval in case of no recording.
Send E-mail on Alarm | Sets whether to send e-mail to the designated mail box when alarm occurs. For detailed information about alarms, refer to 3.15 Alarm Info. Please note that the recording server must be enabled to access a designated mail server; otherwise this feature will get invalid.
Mail Test | Sends a test e-mail to a designated mail box. Make sure the item Mail User is set correct so that this alarm e-mail can be received.
Mail User | The mail account sending the alarm e-mails. We suggest you apply a specialized mail account to send alarm e-mails.
Password | Password of the mail account sending the alarm e-mails. As this password is plaintext, we suggest you apply a specialized mail account to send alarms to avoid the password and corresponding information of the mailbox being acquired by other users with recording management authorities.
Mail Server | The SMTP Server for the mail account sending alarms. Make sure the recording server is able to access this mail server; otherwise the alarm e-mails cannot be sent successfully.
Mail Recipient | The alarm e-mail recipient. If there are multiple recipients, you should separate them by ‘,’.


3.4.7 Time

Figure 3‑27 Time Setting Interface

See Figure 3‑27 for the time setting interface. The time can be modified manually or synchronized with NTP. To change it manually, tick the checkbox after System Time and do the modification in the following edit box. To synchronize it with NTP, tick the checkbox after Synchronize with NTP to enable this feature (disabled by default) and fill in the items Time Zone, NTP Server Address and Period.

After configuration, click Save to save the above settings into the database; click Reset to restore the configurations. The settings will not go into effect until you save it.

Item | Description
System Time | Sets the current time of the recording system.
Time Zone | Sets the current time zone.
Synchronize with NTP | Enables the feature to synchronize the time with NTP.
NTP Server Address | IP address used to synchronize the time with NTP.
Period | Time period to synchronize the time with NTP.


3.4.8 SNMP

Figure 3‑28 SNMP Setting Interface

See Figure 3‑28 for the SNMP setting interface which is used to configure SNMP parameters. Users can use the SNMP browser to acquire information on the recording system. The table below explains the above items.

Item | Description
SNMP Configuration | Sets whether to enable the SNMP service.
SNMP Server Address | IP address used to acquire information on the recording system with SNMP.
Monitoring Port | SNMP monitoring port number, with the default value of 161 and not suggested to modify.
Read-only Community String | Read-only SNMP community string, having the same feature as password.


3.4.9 Remote Update

Figure 3‑29 Remote Update Interface

Remote update is used to update the WEB interface, the recording service and the kernel version of the recording server. To update, just put the installation package ATP2400_xxxxxx.pack provided by our company to your local PC, select it by Select an Update File and click Update. After update, you should login the system again. Note that clicking Reset can only delete the selected update file but not cancel the operation of Update.


3.5 User Management

Figure 3‑30 User Management Interface

See Figure 3‑30 for the user management interface. The above list shows the users of the recording management software and their corresponding authorities. Only the users with management authority can enter this interface and do such operations as adding or deleting users, designating each user’s authorities and browsing each user’s original passwords. Authorities include: System Settings, User Management, Info Management, Recording Management, Channel Settings, Real-time Monitor, File Deletion, Statistical Report, Log Inquiry, Database Management, Centralized Management, Centralized Query and FTP Management.

Note:

For safety reasons, this interface will not show the information and authorities of the super user- administrator.

Click the Add New button on the top right corner to add new users. See Figure 3‑31.

Figure 3‑31 Add New User

The table below explains the above items in Figure 3‑31.

Item

Descriptions

User Name

User name displayed on the user management interface. It is also the login name of the user.

User Password

Login password of the user.

Confirm Password

Enters the login password again.

Sys Settings

Refer to 3.4 System Settings. Only the users with this authority can do configurations in the system setting column.

User Manage

Refer to 3.5 User Management. Only the users with this authority can see this column on the menu and enter the user management interface to do corresponding configurations.

Note: As users with this authority can obtain the password of other users from the user info modification interface, the administrator should think it over every time before adding a new one.

Info Manage

Refer to 3.6 Info Management. Only the users with this authority can see this column on the menu and enter the station management interface and the customer management interface to do corresponding inquiries and configurations.

Rec Manage

Refer to 3.3.2 Recording Parameters. Only the users with this authority can see this column on the menu and set the recording parameters.

Channel Settings

Refer to 3.2 Channel State. Only the users with this authority can modify the channel properties.

Monitoring

Refer to 3.14 Real-time Monitoring. Only the users with this authority can monitor the recording channels in real time.

Stats Report

Refer to 3.7 Statistical Report. Only the users with this authority can see this column in the menu and obtain the statistical reports of the recording information.

Log Inquiry

Refer to 3.8 Operating Log. Only the users with this authority can see this column on the menu and enter the operating log interface to obtain the detailed operations of each WEB user.

File Deletion

Users with this authority can delete the queried recording files on the recording query results interface (see

Figure 3‑8 ).

DB Manage

Refer to 3.10 Database Management. Only the users with this authority can set the auto backup of the database, open the external interface to the database and restore the database.

Central Manage

Refer to 3.11 Centralized Management. Only the master users with this authority can manage all the slave devices in the network.

Central Query

Users with this authority can read all data and information on both master and slave devices.

FTP Manage

You can log in the FTP via your username and password to check the recording files.

Note: The settings will not go into effect until you reboot the recording system.

Channels

The allowed range of channels for a user to check, set by the administrator. The current user can only check the information on those channels and recording files with authority. Meanwhile, only the channel information which the user has authority to read will pop up in time.

After configuration, click Save to save the above settings into the database; click Close to cancel the settings.

Click Modify in Figure 3‑30 to modify the user information. See Figure 3‑32 for the user info modification interface. The configurations on this interface are the same as those on the user adding interface.

Figure 3‑32 Modify User Info

To delete a user, check the checkbox before username in Figure 3‑30 and click the Delete button. Check All means to select all available items in the current page; Uncheck All means to cancel all selections in the current page; Inverse means to uncheck the selected items and check the unselected.


3.6 Info Management

Figure 3‑33 Info Manage Menu

Info Management contains Station Management and Customer Management. See below for detailed introductions.


3.6.1 Station Management

Figure 3‑34 Station Management Interface

See Figure 3‑34 for the station management interface. The above list shows the information of all stations in the system, including employee number, name, department, position and remarks. Users can add, modify, delete and export such station information. Click the Add New button on the top right corner and you can add new stations to the above list. See Figure 3‑35 for the station adding interface.

Figure 3‑35 Add New Stations

The station adding interface supports adding a single station or a batch of stations. The table below explains the above items in Figure 3‑35.

Item | Description
Batch Add | When this item is checked, you can import up to 400 pieces of station information from a local .CSV table to the database at a time (An Excel file can be saved as a .CSV file). Only when the table complies with the pattern shown in Figure 3‑36 can it be imported. In batch adding, if the employee number imported is the same as the one that already exists, it will overwrite the current station information.
Name; Number | Employee name and number of the station to be added. They are options you must fill in when adding a new station and cannot be left empty. The employee number can be the combination of characters and numbers. It cannot be the same as an existing one.
Department; Position; Remarks | Other corresponding information of the station to be added. They are optional.

The pattern of the Excel table for the station batch adding:

Figure 3‑36 Excel Pattern for Station Batch Adding

After configuration, click OK to save the above settings into the database. The newly added stations will be displayed in the list in Figure 3‑34. Click Close to cancel the settings.

Click Modify in Figure 3‑34 to modify the station information. See Figure 3‑37 for the station info modification interface. The configurations on this interface are the same as those on the station adding interface.

Figure 3‑37 Modify Station Info

Besides, users can do the following operations on the station management interface:

Operation | Description
Export | Export all station information to local in the form of a .CSV table, facilitating the backup of station information.
Delete | Delete checked stations. Check All means to select all available items in the current page; Uncheck All means to cancel all selections in the current page; Inverse means to uncheck the selected items and check the unselected.
Clear | Clear all station information.


3.6.2 Customer Management

Figure 3‑38 Customer Management Interface

See Figure 3‑38 for the customer management interface. The above list shows the information of all customers in the system, including customer name, company, department, position, telephone, e-mail, remarks and so on. Users can add, modify, delete and export customer information on this page. Click the Add New button on the top right corner and you can add new customers to the above list. See Figure 3‑39.

Figure 3‑39 Add New Customers

The customer adding interface supports adding a single customer or a batch of customers. The table below explains the above items in Figure 3‑39.

Item | Description
Batch Add | When this item is checked, you can import up to 400 pieces of customer information from a local .CSV table to the database at a time (An Excel file can be saved as a .CSV file). Only when the table complies with the pattern shown in Figure ‑3‑40 can it be imported. In batch adding, if the customer telephone imported is the same as the one that already exists, it will overwrite the current customer information.
Name | Name of the customer to be added. It is an option that you must fill in when adding a new customer and cannot be left empty.
Company; Department; Position; Address; Zipcode; Fixedlinenum; Phonenum; Faxnum; E-mail; Remarks | Other corresponding information of the customer to be added. They are optional.

The pattern of the Excel table for the customer batch adding:

Figure ‑3‑40 Excel Pattern for Customer Batch Adding

After configuration, click OK to save the above settings into the database. The newly added customers will be displayed in the list in Figure 3‑38 . Click Close to cancel the settings.

Click Modify in Figure 3‑38 to modify the customer information. See Figure 3‑41 for the customer info modification interface. The configurations on this interface are the same as those on the customer adding interface.

Figure 3‑41 Modify Customer Info

Besides, users can do the following operations on the customer management interface:

Item | Description
Export | Export all customer information to local in the form of a .CSV table, facilitating the backup of customer information.
Delete | Delete checked customers. Check All means to select all available items in the current page; Uncheck All means to cancel all selections in the current page; Inverse means to uncheck the selected items and check the unselected.
Clear | Clear all customer information.


3.7 Statistics Report

Figure 3‑42 Statistics Configuration Interface

Statistical Report provides multiple terms and term combinations for recording inquiry and statistics. See Figure 3‑42. The table below explains the above items.

Item | Description
Start Date; Start Time; End Date; End Time | Time period of the recording, including time and date. For example, the recording in the above figure is required to start from 2015-01-21 14:02:37 and end at 2015-01-23 09:23:39. Please note that the end time and date should not be earlier than the start time and date.
Call Direction | Used as a condition to filter recoding files. Three options are available: All, Call in, Call out, taking the monitoring end as reference.
Recording length | Length of the recording, used as a condition to filter recoding files. Three options Unlimited, Longer than and Shorter than are available. Unlimited means ignoring this filter condition. To choose Longer than or Shorter than, you should enter the exact time length in the edit box (calculated by s). Once set, only the qualified recordings will be counted.
CallerID; CalleeID | Filter according to CallerID or CalleeID. Just enter the number to be counted.
Station; Station Branch; Station Name | Filter according to Station, Station Name or Station Branch. For more information, refer to 3.6.1 Station Management.
Call Type | Filter according to call type. The optional values are All, Local, Toll, among which All means ignoring this filter condition.
Query Range | Sets the range of data query for the statistics report, including two options: Latest 100,000 records and All records. The default value is Latest 100,000 records as it is time-consuming to inquire all recording files.
Missed Call | Sets whether to filter the missed calls. Three options Unlimited, Yes, No are available, and the default value is Unlimited.

After the configuration of the above terms, click Count to obtain the statistical report (see Figure 3‑43); click Reset to restore the configurations.

Figure 3‑43 Statistical Report

Statistical Report (see Figure 3‑43) gives the statistic data of each channel and that of all channels, which include the number of total calls, toll calls, local calls, outgoing calls, incoming calls, missed calls, as well as total call length, average call length, toll call length, local call length, incoming call length and outgoing call length.

Click the Export button on the top right corner to export the statistical report to Excel.


3.8 Operating Log

Figure 3‑44 Operating Log Interface

See Figure 3‑44 for the operating log interface. It shows the detailed operations of the WEB users as well as the start and stop status of RecSvr and RecMonitor, helping the administrator to get the thorough information about the use of the recording management software. The logged operations are sorted by the descending order of operating time, i.e. the newer the operation is, the higher it will be ranked on the WEB page.

Click Export button on the top right corner to export the log to Excel for review and backup. Due to the upper limit of Excel 2003, the recording server only supports exporting up to 65535 inquired logs. A prompt will pop up once the number of logs you export exceeds 65535.


3.9 Change Password

Figure 3‑45 Password Changing Interface

See Figure 3‑45 for the password changing interface. You are required to enter the current password and the new password, and then confirm the new password. Click Save to apply the new password; click Reset to restore the configurations. After changing the password, you are required to login again. On this interface, you can only change your own password. If you forget your current password, turn to the administrator for help.


3.10 Database Management

Database Management is used for querying the database state of the recording server, setting the auto backup feature and restoring the database. Database Management includes two parts: Database Settings and Database Restore. See Figure 3‑46.

Figure 3‑46 Database Management


3.10.1 Database Settings

Figure 3‑47 Database Settings Interface

See Figure 3‑47 for the Database Settings interface. The database table list shows the basic information and status of the tables in the database. The table below explains the information items in the above list.

Item | Description
Table Name | Name of the table in the database. It can be ignored when the table state shows normal.
Table State | State of the table in the database, Normal or Abnormal. When the Table State column shows Abnormal, you can use the database restore feature to restore the database to an earlier backup.
Remarks | Supplementary information about the table state. When the Table State column shows Abnormal, the Remarks column will provide you with detailed information.

Users can also do the following configurations on the Database Settings interface:

Item | Description
Auto Backup | Sets whether to backup the database automatically in order to avoid data loss. Only when this item is set to Yes are the configuration items Auto Backup Interval, Backup Path and Backup Deletion Interval valid. The default value is No.
Auto Backup Interval | Time interval to backup the database automatically, calculated by h, with the default value of 24.
Backup Path | The path for auto backup of the database.
Backup Deletion Interval | The validity of a backup file in the database (i.e. how soon will a backup file in the database be deleted), calculated by day, with the default value of 7. This configuration item set to 0 means not to delete the backup files in the database.
Enable External Interface | Sets whether to open the database for secondary development. The default value is No.
External Interface Account | Username for accessing the database through an external interface. If the configuration item Enable External Interface is set to Yes, this configuration item should not be left empty.
Password | Password for accessing the database through an external interface. If the configuration item Enable External Interface is set to Yes, this configuration item should not be left empty.
Permitted Access to External Interface | IP address of the external interface which is permitted to access the database. To set multiple IP addresses, separate them by ‘,’. This configuration item set to ‘*’ means all addresses are permitted to visit the database.

After configuration, click Save to save the above settings; click Reset to restore the configurations.


3.10.2 Database Restore

Figure 3‑48 Database Restore Interface

See Figure 3‑48 for the Database Restore interface. The above list shows the time point of the database backup. To restore the database to a designated backup, tick the checkbox before the corresponding time point and click the Restore button. Note that only one time point can be selected for your restoration; otherwise, it may report error. Clicking Reset can cancel the current selection of the time point but cannot cancel the operation of Restore.

To delete the database backup, tick the checkbox before the corresponding time point in Figure 3‑48 and click the Delete button. Check All means to select all available items on the current page; Uncheck All means to cancel all the selections on the current page.


3.11 Centralized Management

Figure 3‑49 Centralized Management

Centralized Management provides an access for administrator to manage all slave devices in the network via a master device. In the network, the number of master devices is limited to one, but that of slaver devices is unlimited. Centralized Management includes two parts: Management and Master/Slave Settings. See Figure 3‑49. The Management interface, open to the master only, shows the basic information about all devices under management and supports the modification of their parameters and the query of such information as channel state, recording files, statistics reports and operating logs. The interface Master/Slave Settings, open to both the master and the slave(s), is used to set the working mode (master/slave) and the number of the current device.


3.11.1 Management

Figure 3‑50 Management Interface

See Figure 3‑50 for the Management interface where the device list shows all devices under management in the network. Only the master device users with the centralized management authority can enter this page to query or configure the information of the slave devices. A new device can be added to the list by the Add New button at the bottom of the list. See Figure 3‑51 for the slave device adding interface.

Figure 3‑51 Add Slave Device

Enter an IP address to add a new device. Another way to add a new device to the list is to click the Search button at the bottom of the list in Figure 3‑50. However, only those devices in the same network segment will be found out in this way. For example, if the IP address of the master device is 192.168.1.5, only those slave devices in the network segment from 192.168.1.1 to 192.168.1.255 can be searched, and those in another segment shall be added manually. See Figure 3‑52 for the device searching interface. The number displayed on the right side of the interface indicates the time used for searching.

Figure 3‑52 Device Searching

Please wait for a while until a dialog pops up and prompts ‘Searching completed!’. Then all searched devices will appear in the device list in Figure 3‑50.

The table below explains the items shown in Figure 3‑50.

Item

Description

Device No.

Number of a device under the centralized management.

Device IP

IP address of a device under the centralized management.

Total Channels

Total number of channels used by a device under the centralized management.

Working State

Current working state of a device under the centralized management. The working states include:

Working State | Description
Device Off-line | The device fails to be connected or has no response.
Normal | The device is working normally.
DB Abnormal | The device database goes abnormal.
Rec Program Abnormal | The recording service program goes abnormal.
HD Abnormal | There is no HD in the device or the HD is full.
Channel Off-line | Some channel(s) in the device is off-line (This working state only appears when the channel abnormal alarm is enabled.)
Rec Operation Abnormal | Long time no recording in the daytime or at night. (This working state only appears when the long time no recording alarm is enabled.)

When a device goes abnormal (i.e. its Working State is not Normal), it will alarm via sound, WEB prompt or e-mail according to the settings. You can move the mouse onto the working state of the device to view the detailed information.

Details

You can click the hyperlink Details under the Channel column to query the state of channels on each slave device. Refer to 3.2 Channel State for detailed descriptions.

Recording Files

You can click the hyperlink Recording Files under the Inquiry column to query the recording files for each slave device. Refer to 3.3.1 Recording Inquiry for detailed descriptions.

Statistics Reports

You can click the hyperlink Stats Report under the Inquiry column to obtain the statistics reports for each slave device. Refer to 3.7 Statistics Report for detailed descriptions.

Logs

You can click the hyperlink Logs under the Inquiry column to query the operating logs of each slave device. Refer to 3.8 Operating Log for detailed descriptions.

Parameters

You can click the hyperlink Parameters under the Settings column to configure each slave device. The configurable parameters include two parts:

Sort | Configuration Interface
System Settings | Recording Parameters , System , Storage , Number , IP , Debugging Log , Alarm , Time , Remote Update , Reboot&Reset
Info Management | Station Management , Customer Management , User Management , Change Password

For more details about the above configuration interfaces, click the hyperlinks to refer to the corresponding chapters in this manual. On such interfaces in centralized management as Recording Parameters, Driver, Storage, Debugging Log and Time, once the modified parameters are to be saved, a dialog box will prompt asking you for synchronization. See Figure 3‑53. Therefore, you can synchronize the configured parameters of the current device to other devices as needed.

See Figure 3‑53 for the Synchronization interface. To synchronize the configured parameters of the current device to other devices, tick the checkbox before the device number and click OK. Just to save the settings into the current device without doing any synchronization, directly click OK (the current device is ticked by default). Click Cancel to cancel the current settings, not saving any modification.

Note: If the current device has N channels, the device to be synchronized has M channels and M is larger than N, in 3.4.1 System Configuration , only the first N channels will be synchronized, with the parameters on the other M-N channels unchanged.

Figure 3‑53 Synchronization Interface

To delete a slave device from the device list for centralized management, tick the checkbox before the device in Figure 3‑50 and click the Delete button.

To restart the devices under centralized management at one time, tick the checkbox before the devices in Figure 3‑50 and click the Restart Service or Restart System button. This feature is important especially for parameter configurations (including the configuration via synchronization). Only after the reboot of recording service will the parameter modifications (except those in 3.5 User Management ) go into effect .

Check All means to select all available items on the current page; Uncheck All means to cancel all the selections on the current page.


3.11.2 Master/Slave Settings

Figure 3‑54 Master/Slave Settings Interface

See Figure 3‑54 for the Master/Slave Settings Interface. Both master and slave device users have the right to enter this interface and configure the working mode and the number of the current device. The table below explains the configuration items in Figure 3‑54.

Item

Description

Working Mode

Sets the current device to be a master or a slave. The slave is managed by the master, and the master is managed by the administrator. Five modes are now available:

Mode | Description
Independent | Works as an independent device.
Master | Works as a master in the centralized management where the recording device is the host computer,
Slave | Works as a slave in the centralized management where the recording device is the host computer,
Slave (PC) | Works as a slave in the centralized management where the PC is the host computer,
Slave (PC VPN) | Works as a slave in the centralized management where the PC (connected via VPN) is the host computer,

Device No.

Number of the current device.

Device IP

IP address of the current device. This configuration item cannot be modified.

Master IP

The IP address of the device which works as a master in the centralized management for the current recording server.

After configuration, click Save to save the above settings into the database; click Reset to restore the configurations.


3.12 Reboot&Reset

Reboot&Reset includes Reboot RecSvr, Reboot System and Clear Data. See below for detailed introductions.

Figure 3‑55 Reboot&Reset Interface

Reboot RecSvr means to restart the recording server (RecSvr) at the WEB end. This feature is important especially for parameter configuration. Any parameter modification can go into effect only after the reboot of RecSvr.

Reboot System means to restart the whole recording server.

See Figure 3‑56 below for the Clear Data interface. Only administrators can see this feature on the menu. The data to be cleared contains recording files, log files, backup files, as well as station, customer, number, user information, recording content and operating logs; the data not to be cleared contains recording parameters, system settings, etc. To execute this operation, you are required to enter and confirm your password before clicking the button OK. As this operation cannot be cancelled, please do it with caution.

Figure 3‑56 Clear Data


3.13 FTP Feature

The FTP feature is designed for the bulk download of recording files. See below for detailed instructions. Type in ‘ftp://IP address of the recording server’ into the browser and log in FTP. By default the username of FTP is “admin” and the password is the one corresponds to this account; Besides, the username and password of the account that has the FTP management permission can be used for loggin, too. After login, all folders in disks are listed. You can find the needed recording files following the save path set on the storage configuration interface and download them.

The recording filename is created automatically in the following format:

yymmdd_hhmmssmmm_ch_userid_localnumber_remotenumber_calldirection.wav

The meaning of each item herein is explained in the table below.

Item | Description
yymmdd_hhmmssmmm | Recording start time. “yymmdd” indicates year, month and date; “hhmmssmmm” indicates hour, minute, second and millisecond.
ch | Recording channel number, numbered from 1.
userid | Station number, allowed to be null.
localnumber | Local number.
remotenumber | Remote number.
calldirection | Call direction. 0 indicates call in; 1 indicates call out; -1 indicates no call direction.

Example:

Recording filename: 20140218_173229541_1_husidong_8236_8218_0.wav

It means the recording starts at 2014-02-18 17:32:29.541 on Channel 1. The station number is husidong, the direction is call in, the local number is 8236 and the remote number is 8218. If the station number becomes unknown, the userid husidong herein will change to null and the filename will be 20140218_173229541_1_8236_8218_0.wav.

Note: The recording filename is created automatically and cannot be modified. Otherwise, the recording item can not be inquired by the 3.3.1 Recording Inquiry feature.


3.14 Real-Time Monitoring


3.14.1 Install “RemoteListener”

If a channel is recording, its Monitor column on the 3.2 Channel State interface will display the Monitor icon [image]. See Channel 2 in Figure 3‑57. Click this icon to monitor the channel in real time.

Figure 3‑57 Channel State Interface

If your computer is not installed with the monitoring plug-in, click the Monitor icon and you can see a prompt asking you to set the security level. See Figure 3‑58. Follow the instructions to configure the IE explorer: Open it and click 'Tools > Internet Options >Security Tab'; then click 'Custom Level' and enable 'Initialize and script ActiveX controls not marked as safe for scripting'.

Figure 3‑58 Prompt: Set Security Level

After setting the security level, click the Monitor icon again. A dialog box will appear asking you to download and install the monitoring plug-in. See Figure 3‑59. Click OK to download it.

Figure 3‑59 Prompt: Download Monitoring Plug-in

See Figure 3‑60 for the downloaded file RemoteListener.exe.

Figure 3‑60 Monitoring Plug-in

Double click RemoteListener.exe to install the monitoring tool. During installation, if the figure below appears, click Yes.

Figure 3‑61 Registry Editor


3.14.2 Monitor a Channel

After installation, click the Monitor icon of the channel to be monitored on the channel state interface (see Figure 3‑57) and a blue icon will appear in the system tray (see Figure 3‑62) indicating that the monitoring tool is running. Please note that only when a channel is recording can it be monitored in real time.

Figure 3‑62 Icon for Monitoring Tool

When a channel is being monitored, the icon [image] in its Monitor column will turn into the Stop Monitor icon [image]. See Channel 1 in Figure 3‑63. Click the Stop Monitor icon to stop the monitoring of the current channel.

Figure 3‑63 A Channel Being Monitored


3.14.3 Use Monitoring Tool

Figure 3‑64 Monitoring Plug-in

The monitoring tool is displayed as a blue icon in the system tray. Right click the icon and the operating interface will appear as shown in Figure 3‑64. Users can do the following operations on this interface:

Operation | Description
Device | Select the playback equipment.
Test | Test the playback equipment.
Start | Start Monitoring.
Quit | Exit the monitoring tool.

Note:

Not all the monitored voice data will be saved to recording files. Whether a recording to be saved or not depends on multiple judging conditions, such as Recording Direction, Minimum Recording Length, etc. Only the qualified voice data will be saved.


3.15 Alarm Info


3.15.1 SD Card Alarm

Alarm Content | No SD Card Detected
Alarm Message | None
Warning Tone | 1 long sound (A long sound lasts 1000ms)
Note | As the SD card is necessary for running of device, this alarm will be reported continuously in case of no SD card found in the device.


3.15.2 Disk Abnormal Alarm

Alarm Content | Disk Full
Alarm Message | Disk %s full (%u<%u)
Warning Tone | 2 short sounds and 1 long sound (A short sound lasts 50ms while a long sound lasts 400ms; the interval between two adjacent sounds is 100ms)
Example | Example: Disk E full (600<800) In the above example, Disk E, whose available capacity is 600MB, is regarded as full, because the reserved block space for each disk is set to 800MB.
Alarm Content | No HD Detected
Alarm Message | Hard Disk can not be found!
Warning Tone | 2 short sounds and 1 long sound (A short sound lasts 50ms while a long sound lasts 400ms; the interval between two adjacent sounds is 100ms)


3.15.3 Long Time No Recording Alarm

Alarm Content | Long Time No Recording at Night
Alarm Message | Long time no recording at night!
Warning Tone | 2 short sounds (A short sound lasts 50ms and the interval between two adjacent short sounds is 100ms)
Alarm Content | Long Time No Recording in Daytime
Alarm Message | Long time no recording in daytime!
Warning Tone | 2 short sounds (A short sound lasts 50ms and the interval between two adjacent short sounds is 100ms)


3.15.4 Channel Off-line Alarm

Alarm Content | Voice Channel Off-line
Alarm Message | Abnormally working channels: a b c d The characters ‘a b c d’ above indicate the numbers of the abnormally working channels.
Warning Tone | 4 short sounds (A short sound lasts 50ms; the interval between two adjacent short sounds is 100ms)


3.15.5 RecSvr Abnormal Alarm

Alarm Content | RecSvr Abnormal
Alarm Message | RecSvr Abnormal!
Warning Tone | 2 long sounds (A long sound lasts 200ms; the interval between two adjacent long sounds is 100ms)


3.15.6 Slave Device Off-line Alarm

Alarm Content | Slave Device in Centralized Management Off-line
Alarm Message | DEVICE:a(b) is Off Line! a indicates the device IP address while b indicates the device number.
Warning Tone | 1 long sound (A long sound lasts 100ms)


3.15.7 Database Damage Alarm

Alarm Content | Database Damaged
Alarm Message | None
Warning Tone | 3 long sounds (A long sound lasts 200ms; the interval between two adjacent long sounds is 100ms)


Appendix A Technical Specifications

Dimensions

440×44×200 mm3

Weight

2.6 kg (Excluding hard disk and accessories)

Environment

Operating temperature: 0℃—55℃

Storage temperature: -20℃—85℃

Humidity: 8%— 90% non-condensing

Storage humidity: 8%— 90% non-condensing

Input/output Interface

Telephone line jack: 8/16/24 2-pin RJ11 jacks

Audio Specifications

Codec: CCITT A/μ-Law 64kbps

IMA ADPCM 32kbps

Distortion: ≤2%

Frequency response: 300-3400Hz(±3dB)

Signal-to-noise ratio: ≥38dB

Maximum System Capacity

Up to 24 channels

Power Requirements

+19V DC：1A

Maximum power consumption: ≤19W

Impedance

Input impedance: ≥1MΩ/500V DC;

≥8kΩ/1000V AC

Insulation resistance of telephone line from PC: ≥2MΩ/500V DC

Telephone line impedance: Compliant with the national standard impedance for three-component network

Audio Encoding & Decoding

A-Law 64kbps

μ-Law 64kbps

ADPCM 32kbps

Sampling Rate

8kHz

Safety

Lightning resistance: Level 4


Appendix B Troubleshooting

1. How to solve the problem that I can neither play the recording files nor monitor the recording in real time via IE10?

Currently, the IE10 under Win7 or Win8 operating system is integrated with media player12 which is not well compatible with the web. To solve the problem, you can replace it by media player11 or below versions, or use other software such as realplayer (downloaded via http://www.real.com/).

2. Is ATP2400 standard 1U in height? Can it be fixed on the rack without pallet?

Yes. ATP2400 adopts the standard 1U design and can be fixed on the rack without pallet.

3. How many days of recording files can be stored in an ATP2400-24 machine equipped with a 2T HD?

The table below illustrates the data calculated based on continuous 24-hour recording on all 24 channels.

Codec | Days
A-law | 126
μ-Law | 126
ADPCM | 63